Bug 82309 - Using large icons as default on windows
Summary: Using large icons as default on windows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Icon-Themes Options-Dialog-View
  Show dependency treegraph
 
Reported: 2014-08-07 21:28 UTC by Yousuf Philips (jay)
Modified: 2017-10-31 09:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The tabs in Word 2013 (253.83 KB, image/png)
2014-09-28 20:27 UTC, Yousuf Philips (jay)
Details
Toolbars - Large vs Small (59.61 KB, image/png)
2014-09-29 02:53 UTC, Yousuf Philips (jay)
Details
customized toolbars with small and large icons (116.84 KB, image/png)
2014-10-01 15:11 UTC, Olivier R.
Details
large and small icons at 1024x768 (57.93 KB, image/png)
2014-10-01 23:59 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-08-07 21:28:24 UTC
Similar to Emir's bug 68174 for using large icons in Mac OS X by default, i'd like to suggest that LibO also use large icons on Windows by default.

I'm suggest this as i think that many regular/new users will benefit from this, as the smaller icons are becoming quite difficult to see on the ever increasing screen sizes. Microsoft has gone the route of using larger icons in their OS (desktop, taskbar, ribbon UI, etc) and i think large icons in LibO will look good. Even on my 7 year old laptop's screen resolution of 1280x768, the large icons on the default 2 toolbars look clear and there is still 20% of empty room to their right. I also tried the 1024x768 resolution to see how it would look on a 4x3 resolution and it still looked fine.

Though i had this suggestion for sometime, what prompted me to submit the bug today was that i had a discussion with a user on twitter yesterday who said the following about not finding the chart icon in calc and i said it is was there.

------------------------

@jphilipz That red thing in this screenshot? http://www.softwarecrew.com/wp-content/uploads/2012/02/libreoffice_calc.png If that's what you're talking about, it needs redrawing.

@jphilipz It looks far more like a red "stop doing something" button than a chart icon, and the % in the corner doesn't help.

------------------------

I'm assuming that if the icons were larger, it may have been easier for him to spot and understood what the icon was.
Comment 1 V Stuart Foote 2014-08-07 21:35:29 UTC
@Jay, *,
(In reply to comment #0)
> Similar to Emir's bug 68174 for using large icons in Mac OS X by default,
> i'd like to suggest that LibO also use large icons on Windows by default.
IIRC, currently there are 32, 64, 128 and 256 bit icon sets. So exactly which are you suggesting be used -- and where -- on the UI? You need to flesh out the suggestion.

Personally, I am not a fan of over sized ICONs, although they are a necessity when supporting HDPI monitors--but that is a different issue.
Comment 2 Adolfo Jayme 2014-08-07 21:47:11 UTC
Please, no. I already hated the change in OS X, where it doesn’t fit at all.

> I'm assuming that if the icons were larger, it may have been easier for him to spot and understood what the icon was.

If our icon metaphors suck, large icons won’t help.

Also, don’t confuse with the whole HiDPI thing. Yes, it does need bigger icons, but these are still proportional to the relative size of the UI, which is also bigger (as in more pixels) in HiDPI.
Comment 3 Yousuf Philips (jay) 2014-08-08 07:30:55 UTC
(In reply to comment #1)
> IIRC, currently there are 32, 64, 128 and 256 bit icon sets. So exactly
> which are you suggesting be used -- and where -- on the UI? You need to
> flesh out the suggestion.

I'm suggesting libreoffice use its large set, which i'd assuming is 32.

(In reply to comment #1)
> Personally, I am not a fan of over sized ICONs, although they are a
> necessity when supporting HDPI monitors--but that is a different issue.

(In reply to comment #2)
> Please, no. I already hated the change in OS X, where it doesn’t fit at all.

I personally am happy with small icons, but this bug is about what's best for regular/new users, and of course those who like small have the option to change it to small icons in the options dialog. As most users never change the default settings, its always best to have the most optimal choice already set out for them.

(In reply to comment #2)
> If our icon metaphors suck, large icons won’t help.

I think libreoffice's Sifr icons have a good icon metaphor if they were set by default, but unfortunately they arent. By default, libreoffice uses Tango and and unfortunately some of these tango icons aren't well designed, which is why i believe a number of them were changed in 4.3. But whether or not you have a good icon metaphor, it becomes harder to correctly represent it when you have to design a small 16x16 icon, so having a larger icon will always help.
Comment 4 Emir Sarı (away) 2014-08-08 07:34:47 UTC
I am supporting this change, I think it's one of the best we can do to improve visual look without using much resources.
Comment 5 Adolfo Jayme 2014-08-08 13:33:06 UTC
(In reply to comment #3)
> I personally am happy with small icons, but this bug is about what's best
> for regular/new users, and of course those who like small have the option to
> change it to small icons in the options dialog. As most users never change
> the default settings, its always best to have the most optimal choice
> already set out for them.

You say it's "optimal" based on one twitter complainer?

> I think libreoffice's Sifr icons have a good icon metaphor if they were set
> by default, but unfortunately they arent. By default, libreoffice uses Tango
> and and unfortunately some of these tango icons aren't well designed, which
> is why i believe a number of them were changed in 4.3.

Those changes were made well before 4.3, in a "Tango Testing" theme, FTR. See also Astron's and Miroslav's GitHub accounts.

> [...] But whether or not you have a good icon metaphor, it becomes harder
> to correctly represent it when you have to design a small 16x16 icon

It's certainly not impossible.


Really, somebody explain why we need to switch to an oversized and even more cluttered default configuration. I wouldn't mind making *some* icons bigger, in order to highlight them, but not everything! There was a GSoC proposal to code this, why not wait for it?
Comment 6 Yousuf Philips (jay) 2014-08-09 02:59:46 UTC
(In reply to comment #5)
> You say it's "optimal" based on one twitter complainer?

Its has been an issue i planned to suggest for some time after introducing a number of users to libreoffice and have seen there reaction to the small icons on windows and the large icons on linux. And after the twitter discussion, i decided that i should report this.

> Those changes were made well before 4.3, in a "Tango Testing" theme, FTR.
> See also Astron's and Miroslav's GitHub accounts.

They may have been made before 4.3 but no users would have seen it before the 4.3 release. In my 4.2.5 version of windows, i have galaxy, high contrast, crystal, tango, oxygen, and sifr.

> It's certainly not impossible.

It definitely isnt impossible, but if your at a higher resolution, it become even more difficult to see. I was at my friend's place today and i was showing him the sidebar with his screen resolution being 1400x900 and we couldnt figure out the shadow button by just looking at it. With the old tango theme, it was quite easy to see the shadow behind the letter 'A' at this resolution.

> Really, somebody explain why we need to switch to an oversized and even more
> cluttered default configuration. I wouldn't mind making *some* icons bigger,
> in order to highlight them, but not everything! There was a GSoC proposal to
> code this, why not wait for it?

The large buttons are not oversized at high resolutions. They may be oversized at 800x600 but definitely arent at any resolution equal to and above 1280x768. The large icons in ms word are 32x32, while libreoffice's large icons are set to 26x26. MS word has some large and small icons to highlight more important features, but they can do this with a single large bar. This cant be achieved with the toolbars system that libreoffice uses. I would like to see that link about the GSoC code proposal, if you have it.

When it is the large icon set on both Mac and Linux, i dont see what the fuss is over having the same in Windows, as i'd assume the same argument used to have it large on Mac and Linux would apply to Windows.
Comment 7 Yousuf Philips (jay) 2014-08-09 03:03:53 UTC
Also another thing about ms word's ribbin UI, all buttons have labels, even when they have some 16x16 icons, there is a word next to it to explain it which is seen right away, while libreoffice uses tooltips.
Comment 8 Adolfo Jayme 2014-08-09 05:07:34 UTC
Large icons were default in Linux only because GNOME made large icons bigger (before the GNOME3 era, which dropped the concept from their app design), a stupid “rationale” anyway. AOO doesn’t have that setting and defaults to small everywhere.

We should switch to large if running in touch-screen systems, though.

> I would like to see that link about the GSoC code proposal

https://wiki.documentfoundation.org/index.php?title=Development/GSoC/Ideas&oldid=88966#Improve_toolbars_in_LibreOffice

This proposal was about highligting important commands contextually. If you’ve ever used OS X’s TextEdit or Calligra Office you’ll know what I mean.

Now that you mention it, I don’t know why that paragraph disappeared from the current wiki page...

> It definitely isnt impossible, but if your at a higher resolution, it become

Again, HiDPI is unrelated to this! If LibreOffice adaptes (i.e. scales) correctly for HiDPI screens, you will perfectly see a “small” icon, although a bit blurry.

> Also another thing about ms word's ribbin UI, all buttons have labels,

Not true, look deeper...

In the end, I do not believe bigger icons will help an unrecognizable icon to be recognizable, which was the rationale behind this report. Again, change the icons to use a better metaphor, and then see if a random twitterer complains.
Comment 9 Yousuf Philips (jay) 2014-08-09 23:01:43 UTC
Thanks Adolfo for the history behind the large icons on linux and for the GSoC link. I dont use mac so i'm not familiar with TextEdit, but i do use Calligra Words and so see a few large icons with labels in the sidebar for items like footnote, but they dont have a large icon for inserting a table.

> Again, HiDPI is unrelated to this! If LibreOffice adaptes (i.e. scales)
> correctly for HiDPI screens, you will perfectly see a “small” icon, although
> a bit blurry.

A user's screen resolution is definitely a related issue and one of the primary reasons for this suggestion. The higher the user's resolution, the smaller the icons appear on the screen. My use of the words "higher resolution" related to resolutions equal to and above 1280x768, and at such resolutions, the small icons are not easy to see and understand for a new/regular user.

> Not true, look deeper...

Yes i was mistaken, the wording should have been "most buttons have labels". The only ones that dont are ones in the font and paragraph sections and if we did a percentage of which ones do have labels, it would easily be 95% or more.

> In the end, I do not believe bigger icons will help an unrecognizable icon
> to be recognizable, which was the rationale behind this report. Again,
> change the icons to use a better metaphor, and then see if a random
> twitterer complains.

I have already submitted a bug report about fixing the chart icon's metaphor (bug 82272), and the rationale behind this report isnt simply about it.
Comment 10 Yousuf Philips (jay) 2014-09-28 20:27:55 UTC
Created attachment 107024 [details]
The tabs in Word 2013
Comment 11 Yousuf Philips (jay) 2014-09-29 02:53:47 UTC
Created attachment 107033 [details]
Toolbars - Large vs Small

As can be seen in the attached file, at a screen width of 1280, more than 40% of the toolbars are empty with small icons and ~30% is empty with large icons. Height-wise large icons take up 23 pixels more than small icons.

Here are examples of popular windows applications using large menu bars.

Adobe Acrobat - http://cache.filehippo.com/img/ex/3172__adobe1_screenshot0207.png
WinRAR - http://cache.filehippo.com/img/ex/337__winRAR1.png
Foxit Reader - http://cache.filehippo.com/img/ex/1674__FoxitReader3_2.png
Thunderbird - http://cache.filehippo.com/img/ex/1053__thunderbird4.png
Yahoo Messenger - http://cache.filehippo.com/img/ex/1534__Yahoo!Messenger10_2.png

- vertical tab bars -

Microsoft Security Essentails - http://cache.filehippo.com/img/ex/1309__msseces_1.png
Malwarebytes - http://cache.filehippo.com/img/ex/3124__malwarebytes1_260614.png

- horizontal tab bars -

CCleaner - http://cache.filehippo.com/img/ex/3050__ccleaner3.png
Avast Antivirus - http://cache.filehippo.com/img/ex/2008__Avast_1.png
Comment 12 Adolfo Jayme 2014-09-29 03:42:44 UTC
Not sure why you’ve suddenly decided to post a bunch of screenshots of radically different software, what’s the point of it? Are you trying to compare an office suite with antivirus programs, system utilities and simpler software such as a messenger? That’s crazy, not even the use cases are the same! And the Office Ribbon screenshot isn’t helpful either… it is only a demostration of the rationale behind the GSoC project I’ve already mentioned (comment 8).
Comment 13 Yousuf Philips (jay) 2014-09-29 05:42:42 UTC
(In reply to comment #12)
> Not sure why you’ve suddenly decided to post a bunch of screenshots of
> radically different software, what’s the point of it?

Well i had been wanting to post these for a while and after i had a discussion in the design IRC about the issue, i decided to come back here to do it. 

> Are you trying to
> compare an office suite with antivirus programs, system utilities and
> simpler software such as a messenger? That’s crazy, not even the use cases
> are the same!

The point here wasnt about comparing applications, it was about whether applications with toolbars on windows have small or large icons. If you wish to brush aside a number of these applications, thats fine, but you cant brush aside document viewers like Adobe Acrobat and Foxit Reader.

> And the Office Ribbon screenshot isn’t helpful either… it is
> only a demostration of the rationale behind the GSoC project I’ve already
> mentioned (comment 8).

The office ribbon screenshot was primarily to show what the various tabs of the UI looked like for people who may not have it installed and that most icons (big or small) have labels with them. If you look at the screenshots of most of the applications that i previously linked to their screenshots, they also follow a similar concept of having icons and labels. There isnt a need to wait for when the GSoC project gets done, as that proposal will likely be an optional feature and not the standard UI users will see by default. I will be writing a patch for this fix in the next few days.
Comment 14 Olivier R. 2014-10-01 15:11:21 UTC
Created attachment 107197 [details]
customized toolbars with small and large icons

No. That’s a bad idea.
If you have customized you toolbar, there are probably icons with no large size.

See the screenshots.
Same toolbars, with small and large icons.
Comment 15 Yousuf Philips (jay) 2014-10-01 22:30:43 UTC
(In reply to Olivier R. from comment #14)
> No. That’s a bad idea.
> If you have customized you toolbar, there are probably icons with no large
> size.
> 
> See the screenshots.
> Same toolbars, with small and large icons.

When you customize your toolbar, libreoffice doesnt associate the icon file you set to the uno button you chose which only had text, so when you change from small to large icons, those icons dont appear. The same thing has happened to me when i changed from large icons to small. I simply go back into customization and reapply those same icons to those text-only buttons.

This bug proposal is targetting users who never customize their toolbar, which is the majority of users. Users who customize their toolbars and prefer smaller icons will be able to change it to that.
Comment 16 Yousuf Philips (jay) 2014-10-01 23:59:23 UTC
Created attachment 107209 [details]
large and small icons at 1024x768

This is to illustrate that with the default toolbars, it is fine to use large icons when the screen width is 1024 and above.
Comment 17 Yousuf Philips (jay) 2014-11-18 21:37:17 UTC
Kendy put in the patch for this - http://cgit.freedesktop.org/libreoffice/core/commit/?id=0a2d7345f756b49440ab7845ac0a1e991f2a014e
Comment 18 Mike §chinagl 2014-12-20 23:07:36 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 

Large icons are shown by default on Windows, as they are on Linux and Mac OS.
Comment 19 Adolfo Jayme 2015-03-24 07:30:17 UTC
Now that large icons are the default in every platform, shouldn’t the “Automatic” option be removed?
Comment 20 Yousuf Philips (jay) 2015-03-24 07:36:07 UTC
(In reply to Adolfo Jayme from comment #19)
> Now that large icons are the default in every platform, shouldn’t the
> “Automatic” option be removed?

No automatic should be smart and if a user is on a small resolution screen, it should automatically set the icons to small. (bug 86445)